Bug 110247 - ppp / DSL connection problem
ppp / DSL connection problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 10:14 EST by Mike Dill
Modified: 2014-03-16 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 12:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Dill 2003-11-17 10:14:54 EST
Description of problem:


Version-Release number of selected component (if applicable):
ppp-2.4.1-15

How reproducible:
Very.

DSL connection fails if the external nic is eth1.  But eth0 will work.
 The external nic is configured to not be active at boot - and to use
dhcp.  pppoe is supposed to activate the nic at connect time.  But it
cannot activate eth1 - butit CAN eth0.  Also - if the ifcfg file is
named anything other than ifcfg-ppp0, the dsl connection will also
fail.  I have confirmed it - and it is repeatable on 3 machine in my
possession.  Changing the external nic to eth0 and setting up the
ifcfg file name ifcfg-ppp0 makes a successful connection.  But this is
at best - a work-around.  This has been confirmed with other users as
well.

Steps to Reproduce:
1. Install fedora with ppp;
2. Setup a connection with any name other than ppp0 ... with a
resulting ifcfg-<whatever> file in/etc/sysconfig/network-scripts. 
Also have it point to eth1 even if names ppp0 (ifcfg-ppp0);
3. Make sure the external nic is set for dhcp protocol and not to
activiate on boot.
4. Try to connect to your dsl.
  
Actual results:
It will fail to connect.

Expected results:
A usable dsl connection.

Additional info:
Changing the external nic to eth0 and setting up the ifcfg file name
ifcfg-ppp0 makes a successful connection.
Comment 1 Thomas Woerner 2004-10-07 10:09:58 EDT
This is not a ppp problem, assigning to initscripts.
Comment 2 Ngo Than 2004-10-07 12:36:08 EDT
As i know it's already fixed in current fc2 and later. Please reopen
it if the problem still appears. Thanks

Note You need to log in before you can comment on or make changes to this bug.